<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SectionIDMap (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SectionIDMap (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SectionIDMap.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hpsf/wellknown/PropertyIDMap.html"
               title="class in org.apache.poi.hpsf.wellknown"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/wellknown/SectionIDMap.html" target="_top">Frames</a>
        </li>
        <li><a href="SectionIDMap.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf.wellknown</div>
    <h2 title="Class SectionIDMap" class="title">Class SectionIDMap</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hpsf.wellknown.SectionIDMap</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span class="deprecationComment">in 4.0.0, there's no way to create custom PropertyIDMaps, therefore
   this class is obsolete</span></div>
                </div>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
 @Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2.0")
public class <span class="typeNameLabel">SectionIDMap</span>
extends java.lang.Object</pre>
                <div class="block">This classed used to map section format IDs to <a
                        href="../../../../../org/apache/poi/hpsf/wellknown/PropertyIDMap.html"
                        title="class in org.apache.poi.hpsf.wellknown"><code>PropertyIDMaps</code></a>,
                    but there's no way to use custom PropertyIDMaps.<p>

                        It is only kept for its ClassIDs until removal.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hpsf/ClassID.html"
                                        title="class in org.apache.poi.hpsf">ClassID</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/wellknown/SectionIDMap.html#DOCUMENT_SUMMARY_INFORMATION_ID">DOCUMENT_SUMMARY_INFORMATION_ID</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <a
                                                href="../../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html#FORMAT_ID"><code>DocumentSummaryInformation.FORMAT_ID</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hpsf/ClassID.html"
                                        title="class in org.apache.poi.hpsf">ClassID</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/wellknown/SectionIDMap.html#SUMMARY_INFORMATION_ID">SUMMARY_INFORMATION_ID</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <a
                                                href="../../../../../org/apache/poi/hpsf/SummaryInformation.html#FORMAT_ID"><code>SummaryInformation.FORMAT_ID</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/wellknown/SectionIDMap.html#UNDEFINED">UNDEFINED</a></span></code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <a
                                                href="../../../../../org/apache/poi/hpsf/wellknown/PropertyIDMap.html#UNDEFINED"><code>PropertyIDMap.UNDEFINED</code></a></span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hpsf/wellknown/SectionIDMap.html#SectionIDMap--">SectionIDMap</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="SUMMARY_INFORMATION_ID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SUMMARY_INFORMATION_ID</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a> SUMMARY_INFORMATION_ID</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <a
                                        href="../../../../../org/apache/poi/hpsf/SummaryInformation.html#FORMAT_ID"><code>SummaryInformation.FORMAT_ID</code></a></span>
                                </div>
                                <div class="block">The SummaryInformation's section's format ID.</div>
                            </li>
                        </ul>
                        <a name="DOCUMENT_SUMMARY_INFORMATION_ID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOCUMENT_SUMMARY_INFORMATION_ID</h4>
                                <pre>@Deprecated
public static final&nbsp;<a href="../../../../../org/apache/poi/hpsf/ClassID.html" title="class in org.apache.poi.hpsf">ClassID</a>[] DOCUMENT_SUMMARY_INFORMATION_ID</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <a
                                        href="../../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html#FORMAT_ID"><code>DocumentSummaryInformation.FORMAT_ID</code></a></span>
                                </div>
                                <div class="block">The DocumentSummaryInformation's first and second sections' format
                                    ID.
                                </div>
                            </li>
                        </ul>
                        <a name="UNDEFINED">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>UNDEFINED</h4>
                                <pre>@Deprecated
public static final&nbsp;java.lang.String UNDEFINED</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <a
                                        href="../../../../../org/apache/poi/hpsf/wellknown/PropertyIDMap.html#UNDEFINED"><code>PropertyIDMap.UNDEFINED</code></a></span>
                                </div>
                                <div class="block">A property without a known name is described by this string.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hpsf.wellknown.SectionIDMap.UNDEFINED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SectionIDMap--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SectionIDMap</h4>
                                <pre>public&nbsp;SectionIDMap()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SectionIDMap.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hpsf/wellknown/PropertyIDMap.html"
               title="class in org.apache.poi.hpsf.wellknown"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hpsf/wellknown/SectionIDMap.html" target="_top">Frames</a>
        </li>
        <li><a href="SectionIDMap.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
